
import api from '@/api/api'
const state = {
  roleList: null,//角色列表
  areas: null,//地区-省
  cityList: null,//地区-市
}
const mutations = {
  //更新角色列表
  EDICROLELIST(state) {
    api.obtainRoleList({ status: 1 }).then(res => {
      state.roleList = res.rows
    })
  },
  //更新地区-省
  AREAS(state) {
    api.inquireapplyAreas({ status: 1 }).then(res => {
      state.areas = res.rows
    })
  },
  //更新地区-市
  CITYLIST(state) {
    api.inquireapplyCityList({ status: 1 }).then(res => {
      state.cityList = res.rows
    })
  },
}

const actions = {

}

export default {
  state,
  mutations,
  actions
}

